For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Beneficiary

This API allows you to add a new beneficiary for a merchant. Under the same MID and paymentId, the same receiving account can only have one valid status.

Endpoint Information

  • Request Header: X-BH-TOKEN: ******

  • Request Header: Content-Type: application/json

  • Request Method: POST

  • Request Path: /v2/payments

  • Authorization Required: Yes

Request Body Parameters

The request body should include the following fields:

{
  "merchantId": 0,         // (number: id of the merchant id)
  "paymentId": 0,          // (number: payment ID)
  "country": "",            // (string: name of the country)
  "fiat": "",               // (string: name of the fiat currency)
  "realName": "",           // (string: real name of the account holder)
  "fieldJson": {            // (object: field JSON of the payment template)
       [string]: [string]   // (key-value pairs as per the payment template)
  },
  "remark": ""              // (string: remark about the beneficiary)
}

Authorization

This request requires authorization.

Response Structure

The response will include the following fields:

Example Request (Mexico - MXN) 105: SPEI - FINCO PAY

Example Request (Mexico - MXN) 72: SPEI (Tesored)

Example Request (Argentina - ARS) 63: CBU/CVU (Momentum)

Example Request (Argentina - ARS) 137: QR Argentina

Example Request (Colombia - COP) 68: ACH/PSE

Example Request (Colombia - COP) 69: Bre-B

Example Request (Brazil - BRL) 90: Pix (Genial)

Example Request (Brazil - BRL) 92: Pix - Woovi

Example Request (Peru - PEN) 95: Bank Transfer

Example Request 120: Wire (CPN)

Example Request (Hong Kong - HKD) 122: FPS (CPN)

Example Request (Hong Kong - HKD) 123: CHATS (CPN)

Example Request (Europe - EUR) 124: SEPA(CPN)

Example Request (United States - USD) 127: FEDWIRE(CPN)

Success Example Response

Account duplication Example Response

The "sameAccountNumberId" indicates that the current receiving account number corresponds to the valid "userPaymentId" value.

Notes

  • The fieldJson object should match the required fields for the specified payment method template.

  • Ensure that valid authorization tokens are included in the request headers for successful execution.

Last updated